Bug 888218 - Windows guest agent prints debug message during installation
Summary: Windows guest agent prints debug message during installation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Jeff Cody
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-18 10:09 UTC by Qunfang Zhang
Modified: 2013-08-13 21:24 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-13 21:24:08 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Qunfang Zhang 2012-12-18 10:09:22 UTC
Description of problem:
Should not print debug message during installation.

c:\qemu-ga>qemu-ga.exe --service install
** (qemu-ga.exe:1608): DEBUG: service's cmdline: c:\qemu-ga\qemu-ga.exe -d
Service was installed successfully.
                                  
Version-Release number of selected component (if applicable):
Host:
kernel-2.6.32-348.el6.x86_64
qemu-kvm-0.12.1.2-2.346.el6.x86_64

Guest:
Win2012-64, installed the executable from qemu-guest-agent-win32-0.12.1.2-2.346.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install the qemu-guest-agent-win32-0.12.1.2-2.346.el6.x86_64 on a rhel host and get the executable.

2. Install the qemu-ga.exe inside windows guest.
3.
  
Actual results:
c:\qemu-ga>qemu-ga.exe --service install
** (qemu-ga.exe:1608): DEBUG: service's cmdline: c:\qemu-ga\qemu-ga.exe -d
Service was installed successfully.

Expected results:
Should not print the DEBUG message.

Additional info:

Comment 2 RHEL Program Management 2012-12-24 06:48:10 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 8 Ademar Reis 2013-08-13 21:24:08 UTC
We plan to e stop delivering the windows guest-agent as a rpm package (see Bug 996580) and with a proper instsaller (see bug 971141), this message will be irrelevant.


Note You need to log in before you can comment on or make changes to this bug.